Debian Bug report logs - #625497
[mingw-w64-dev] Missing single-parameter QueryInterface variant

version graph

Package: mingw-w64-dev; Maintainer for mingw-w64-dev is Stephen Kitt <steve@sk2.org>; Source for mingw-w64-dev is src:mingw-w64.

Reported by: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>

Date: Wed, 25 Aug 2010 17:54:01 UTC

Owned by: Stephen Kitt <steve@sk2.org>

Severity: normal

Found in versions mingw-w64/1.0+20101003-1, 0.2

Fixed in version mingw-w64/2.0~rc1-1

Done: Stephen Kitt <steve@sk2.org>

Bug is archived. No further changes may be made.

Forwarded to https://sourceforge.net/tracker/?func=detail&aid=3301256&group_id=202880&atid=983357

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rmh@gnu.org, wnpp@debian.org:
Bug#594380; Package wnpp. (Wed, 25 Aug 2010 17:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
New Bug report received and forwarded. Copy sent to rmh@gnu.org, wnpp@debian.org. (Wed, 25 Aug 2010 17:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: submit@bugs.debian.org
Subject: O: gcc-mingw32 -- The GNU Compiler Collection (cross compiler for MingW32 / MingW64)
Date: Wed, 25 Aug 2010 19:50:11 +0200
Package: wnpp
Severity: normal

The current maintainer of gcc-mingw32, Robert Millan <rmh.debian@aybabtu.com>,
has agreed to orphan this package.

Maintaining a package requires time and skills. Please only adopt this
package if you will have enough time and attention to work on it.

If you want to be the new maintainer, please see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: gcc-mingw32
Binary: gcc-mingw32
Version: 4.4.4-0.1
Priority: extra
Section: devel
Maintainer: Robert Millan <rmh.debian@aybabtu.com>
Build-Depends: cdbs (>= 0.4.57), debhelper (>= 7), lzma, mingw32-binutils (>= 2.20), mingw32-runtime (>= 3.12), mingw-w64 (>= 0~20100125-2), libgmp3-dev (>= 2:4.1), libmpfr-dev (>= 2.3.2)
Architecture: any
Standards-Version: 3.8.1
Format: 1.0
Directory: pool/main/g/gcc-mingw32
Files:
 fa73292a68751fb012591592d951c9dd 1072 gcc-mingw32_4.4.4-0.1.dsc
 edc5cc4c93b9266e01078a51b12b2d99 47041421 gcc-mingw32_4.4.4-0.1.tar.gz
Homepage: http://gcc.gnu.org/
Vcs-Browser: http://bzr.debian.org/loggerhead/collab-maint/gcc-mingw32
Vcs-Bzr: https://alioth.debian.org/anonscm/bzr/collab-maint/gcc-mingw32
Checksums-Sha1: 
 6d10b4061a52e525502b0d713a1a200edee8ccd9 47041421 gcc-mingw32_4.4.4-0.1.tar.gz
Checksums-Sha256: 
 346cc7abbe195c6336c93dac02198eaf9877462237baef34648890ef3858e4e7 47041421 gcc-mingw32_4.4.4-0.1.tar.gz

Package: gcc-mingw32
Priority: extra
Section: devel
Installed-Size: 50068
Maintainer: Robert Millan <rmh.debian@aybabtu.com>
Architecture: amd64
Source: gcc-mingw32 (4.4.4-0.1)
Version: 4.4.4-0.1+b1
Provides: mingw32
Depends: libc6 (>= 2.11), libgmp3c2, libmpfr4, mingw32-binutils (>= 2.20)
Recommends: mingw32-runtime (>= 3.12), mingw-w64 (>= 0~20100125-2)
Suggests: gcc-doc, cpp-doc
Conflicts: mingw32
Filename: pool/main/g/gcc-mingw32/gcc-mingw32_4.4.4-0.1+b1_amd64.deb
Size: 18237318
MD5sum: 4d43212581f78ffdb5198316a5f33749
SHA1: 1f6dd45176faa58a49b3b3e2012d1d542d19e285
SHA256: ad950c9cf5bff820b73bf8077560e7966716740e9d39d3a4050a74034a28ba1c
Description: The GNU Compiler Collection (cross compiler for MingW32 / MingW64)
 This is the GNU Compiler Collection, a fairly portable optimizing compiler
 which supports multiple languages.
 .
 This package includes support for cross-compiling to MingW32 and MingW64
 targets.
Homepage: http://gcc.gnu.org/
Tag: devel::{compiler,lang:c,lang:c++,lang:fortran}, implemented-in::c, interface::commandline, role::program, scope::utility, suite::gnu, works-with::software:source





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#594380; Package wnpp. (Wed, 13 Oct 2010 20:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rafaël Carré <rafael.carre@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 13 Oct 2010 20:48:05 GMT) Full text and rfc822 format available.

Message #10 received at 594380@bugs.debian.org (full text, mbox):

From: Rafaël Carré <rafael.carre@gmail.com>
To: 594380@bugs.debian.org
Subject: new upstream version, new maintainer, bugfixes
Date: Wed, 13 Oct 2010 22:43:57 +0200
[Message part 1 (text/plain, inline)]
owner 594380 !
retitle 594380 ITA: gcc-mingw32 -- The GNU Compiler Collection (cross compiler for MingW32 / MingW64)
thanks

gcc-mingw32 (4.5.1-0.1) unstable; urgency=low

  * New upstream release.
  * Enable c++, fortran for amd64 (Fixes #569165, #599530)
  * New maintainer (Fixes #594380)

 -- Rafaël Carré <rafael.carre@gmail.com>  Sun, 10 Oct 2010 15:29:09 +0200

I propose myself as the new maintainer.

debdiff is attached, gcc-4.5.1-dfsg.tar.lzma is obtained this way:
$ wget http://ftp.de.debian.org/debian/pool/main/g/gcc-4.5/gcc-4.5_4.5.1.orig.tar.gz
$ tar zxf gcc-4.5_4.5.1.orig.tar.gz
$ unxz gcc-4.5.1-dfsg.tar.xz
$ lzma gcc-4.5.1-dfsg.tar

I've run lintian --pedantic and it looked alright to my untrained eye.

Please tell me how to proceed next.

NOTE: the package currently doesn't build because mingw-w64 is too old, but it
builds fine with a recent version (like the recently released 1.0)

I contacted the person who gave his Intention To Adopt mingw-w64 (Bug #594371),
if he doesn't answer I'll propose a new mingw-w64 package and send a new 
debdiff which requires at least this version of mingw-w64.

regards,

-- 
✍ Rafaël Carré ☺
[gcc-mingw32-4.5.1-0.1.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#594380; Package wnpp. (Wed, 13 Oct 2010 20:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rafaël Carré <rafael.carre@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 13 Oct 2010 20:48:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#594380; Package wnpp. (Wed, 13 Oct 2010 20:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rafaël Carré <rafael.carre@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 13 Oct 2010 20:48:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#594380; Package wnpp. (Wed, 13 Oct 2010 20:48:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rafaël Carré <rafael.carre@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 13 Oct 2010 20:48:10 GMT) Full text and rfc822 format available.

Owner recorded as Rafaël Carré <rafael.carre@gmail.com>. Request was from Rafaël Carré <rafael.carre@gmail.com> to control@bugs.debian.org. (Wed, 13 Oct 2010 21:21:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITA: gcc-mingw32 -- The GNU Compiler Collection (cross compiler for MingW32 / MingW64)' from 'O: gcc-mingw32 -- The GNU Compiler Collection (cross compiler for MingW32 / MingW64)' Request was from Rafaël Carré <rafael.carre@gmail.com> to control@bugs.debian.org. (Wed, 13 Oct 2010 21:21:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#594380; Package wnpp. (Fri, 15 Oct 2010 16:36:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rafaël Carré <rafael.carre@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 15 Oct 2010 16:36:16 GMT) Full text and rfc822 format available.

Message #34 received at 594380@bugs.debian.org (full text, mbox):

From: Rafaël Carré <rafael.carre@gmail.com>
To: 594380@bugs.debian.org
Subject: mingw-w64
Date: Fri, 15 Oct 2010 18:35:42 +0200
[Message part 1 (text/plain, inline)]
Stephen Kitt (who told his ITA mingw-w64) is preparing a new package
which would separate 32bits & 64bits compilers, so I won't work on
gcc-mingw32 and perhaps help him.

-- 
✍ Rafaël Carré ☺
[signature.asc (application/pgp-signature, attachment)]

Removed annotation that Bug was owned by Rafaël Carré <rafael.carre@gmail.com>. Request was from Rafaël Carré <rafael.carre@gmail.com> to control@bugs.debian.org. (Mon, 18 Oct 2010 11:03:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'O: gcc-mingw32 -- The GNU Compiler Collection (cross compiler for MingW32 / MingW64)' from 'ITA: gcc-mingw32 -- The GNU Compiler Collection (cross compiler for MingW32 / MingW64)' Request was from Rafaël Carré <rafael.carre@gmail.com> to control@bugs.debian.org. (Mon, 18 Oct 2010 11:03:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#594380; Package wnpp. (Mon, 04 Apr 2011 15:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 04 Apr 2011 15:30:06 GMT) Full text and rfc822 format available.

Message #43 received at 594380@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: 594380@bugs.debian.org, Rafaël Carré <rafael.carre@gmail.com>
Subject: Any news?
Date: Mon, 04 Apr 2011 17:18:59 +0200
Any news about the new package which will replace gcc-ming32 (or update it)?

In mingw-w64 description I read:
 Along with this package, you need the amd64-mingw32 cross-compiler in
 gcc-mingw32 if you want to compile binaries for Windows/amd64
so it seems the new package is still not there.

-- 
Eugen




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#594380; Package wnpp. (Sun, 01 May 2011 19:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 01 May 2011 19:12:03 GMT) Full text and rfc822 format available.

Message #48 received at 594380@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
Cc: 594380@bugs.debian.org, Rafaël Carré <rafael.carre@gmail.com>
Subject: New mingw-w64 package
Date: Sun, 1 May 2011 21:08:58 +0200
Hi Eugen,

I see you were asking about gcc-mingw32 and mingw-w64 recently. The
new mingw-w64 package suite (mingw-w64, gcc-mingw-w64 and
binutils-mingw-w64) is now available in unstable.

I would love to know if the new packages meet your requirements.

Regards,

Stephen




Changed Bug title to 'ITA: gcc-mingw32 -- The GNU Compiler Collection (cross compiler for MinGW32)' from 'O: gcc-mingw32 -- The GNU Compiler Collection (cross compiler for MingW32 / MingW64)' Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Sun, 01 May 2011 19:18:05 GMT) Full text and rfc822 format available.

Owner recorded as Stephen Kitt <steve@sk2.org>. Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Sun, 01 May 2011 19:18:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stephen Kitt <steve@sk2.org>:
Bug#594380; Package wnpp. (Mon, 02 May 2011 16:04:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stephen Kitt <steve@sk2.org>. (Mon, 02 May 2011 16:04:07 GMT) Full text and rfc822 format available.

Message #57 received at 594380@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: Stephen Kitt <steve@sk2.org>
Cc: 594380@bugs.debian.org, Rafaël Carré <rafael.carre@gmail.com>
Subject: Re: New mingw-w64 package
Date: Mon, 02 May 2011 17:58:37 +0200
On 01/05/11 21:08, Stephen Kitt wrote:
> Hi Eugen,
>
> I see you were asking about gcc-mingw32 and mingw-w64 recently. The
> new mingw-w64 package suite (mingw-w64, gcc-mingw-w64 and
> binutils-mingw-w64) is now available in unstable.
>
> I would love to know if the new packages meet your requirements.

Thank you very much.  I noticed it a few days ago.  I was also pleased 
to see the package description updated to reflect both 32 and 64 bits.

Compiling ptlib (in 32 bit mode) leads to one error (compared to 
classical mingw32): it does not find AMGetErrorTextA function.  I looked 
a bit on Internet without finding anything useful.  In fact, this 
function is found in errors.h, but mingw-w64 does not provide this header.

Again compared to mingw32, some headers are not found anymore, however 
ptlib compiled when I commented them out, I think they were the 
following: evcode.h, edevdefs.h, audevcod.h, dvdevcod.h.

Two additional questions, fixed by my commit 
http://opalvoip.svn.sourceforge.net/viewvc/opalvoip/ptlib/trunk/src/ptlib/msos/directshow.cxx?r1=25527&r2=25637:
1. that file includes Ks.h and KsMedia.h (upstream uses Windows to 
compile it), while both mingw32 and mingw-w64 provide ks.h and ksmedia.h 
(lowercase) instead, which work by the way.  Why are they in lowercase?

2. Also, QueryInterface method exists with only one parameter too 
(instead of the usual two), see http://support.microsoft.com/kb/194862 
for ex.  But mingw-w64 does not accept it, so I was forced to make ifdef 
to add the same method but with two parameters.

There might be other errors, I will do a full compile and come back to you.

Best regards,
-- 
Eugen




Reply sent to Stephen Kitt <steve@sk2.org>:
You have taken responsibility. (Tue, 03 May 2011 13:06:12 GMT) Full text and rfc822 format available.

Notification sent to Ana Guerrero <ana@debian.org>:
Bug acknowledged by developer. (Tue, 03 May 2011 13:06:13 GMT) Full text and rfc822 format available.

Message #62 received at 594380-close@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: 594380-close@bugs.debian.org
Subject: Bug#594380: fixed in gcc-mingw32 4.4.4-1
Date: Tue, 03 May 2011 13:02:36 +0000
Source: gcc-mingw32
Source-Version: 4.4.4-1

We believe that the bug you reported is fixed in the latest version of
gcc-mingw32, which is due to be installed in the Debian FTP archive:

gcc-mingw32_4.4.4-1.dsc
  to main/g/gcc-mingw32/gcc-mingw32_4.4.4-1.dsc
gcc-mingw32_4.4.4-1.tar.gz
  to main/g/gcc-mingw32/gcc-mingw32_4.4.4-1.tar.gz
gcc-mingw32_4.4.4-1_amd64.deb
  to main/g/gcc-mingw32/gcc-mingw32_4.4.4-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 594380@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Kitt <steve@sk2.org> (supplier of updated gcc-mingw32 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 02 May 2011 23:04:31 +0200
Source: gcc-mingw32
Binary: gcc-mingw32
Architecture: source amd64
Version: 4.4.4-1
Distribution: unstable
Urgency: low
Maintainer: Stephen Kitt <steve@sk2.org>
Changed-By: Stephen Kitt <steve@sk2.org>
Description: 
 gcc-mingw32 - GNU Compiler Collection (cross compiler for MinGW32)
Closes: 594380
Changes: 
 gcc-mingw32 (4.4.4-1) unstable; urgency=low
 .
   * New maintainer. (Closes: #594380)
   * Drop MinGW-w64 support, the mingw-w64 packages no longer use the
     triplet used in this package. For full 32- and 64-bit support, with
     newer gcc, see the mingw-w64 package and its dependencies.
   * Standards-Version 3.9.2, no change required.
   * Specify source format "3.0 (native)" for now.
   * Add lintian overrides for spelling mistakes, missing manpages (the gcc
     documentation is non-free) and cross-compiler directories.
Checksums-Sha1: 
 2b750e85181453626bfd0c4e2b13f43e5860490d 1145 gcc-mingw32_4.4.4-1.dsc
 c2b2fbf8143ae2995ca2ae849e130897b688e841 47092467 gcc-mingw32_4.4.4-1.tar.gz
 340e8261fcbdd7bc52fb2e58e53ff922fce31934 14054476 gcc-mingw32_4.4.4-1_amd64.deb
Checksums-Sha256: 
 83d3c2b5004b8aff0d316536ff90157a716eeccc1bb017e2c99dabae148771dd 1145 gcc-mingw32_4.4.4-1.dsc
 221f40af23b5726cec932c0da23529636683cd27cf6751dee4c6a821ff201b0e 47092467 gcc-mingw32_4.4.4-1.tar.gz
 a7c2dffd1eccb7e713e48a1415dd158200e517ef938934ab55c15a6f27b4fa90 14054476 gcc-mingw32_4.4.4-1_amd64.deb
Files: 
 e155942c3a1319def719ba152afe1229 1145 devel extra gcc-mingw32_4.4.4-1.dsc
 abda1fa5b016c28d006775ad20e1ecc7 47092467 devel extra gcc-mingw32_4.4.4-1.tar.gz
 7933be86ae149e66bcef7d492d35e3f9 14054476 devel extra gcc-mingw32_4.4.4-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iJwEAQECAAYFAk2/+jUACgkQKA1Vt+jBwDjOQgP/YX6jJkFI4rnOgW1x3zTVt4wk
vV4pCreWrUuJGqT10TVsOjJaTKd3UkWtF9E9qmtmBS3d+GQl5F8AlIRhpwSvXVnD
bn5v5skcf2b3oHisEsqXVOhMzpm/fsmNfo0XcOoX0SqDT3OtVSNg3nQba9+R5qMF
aUAQRrdwamqU4R4q4Mw=
=0dql
-----END PGP SIGNATURE-----





Bug 594380 cloned as bug 625496. Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Tue, 03 May 2011 21:03:06 GMT) Full text and rfc822 format available.

Bug 594380 cloned as bug 625497. Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Tue, 03 May 2011 21:03:08 GMT) Full text and rfc822 format available.

Bug reassigned from package 'wnpp' to 'mingw-w64-dev'. Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Tue, 03 May 2011 21:03:12 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions gcc-mingw32/4.4.4-1. Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Tue, 03 May 2011 21:03:13 GMT) Full text and rfc822 format available.

Changed Bug title to '[mingw-w64-dev] Missing single-parameter QueryInterface variant' from 'ITA: gcc-mingw32 -- The GNU Compiler Collection (cross compiler for MinGW32)' Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Tue, 03 May 2011 21:03:14 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 03 May 2011 21:12:05 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 0.2. Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Tue, 03 May 2011 21:12:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions mingw-w64/1.0+20101003-1. Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Tue, 03 May 2011 21:21:04 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>' from 'Ana Guerrero <ana@debian.org>' Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Sat, 07 May 2011 09:09:52 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://sourceforge.net/tracker/?func=detail&aid=3301256&group_id=202880&atid=983357'. Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Fri, 13 May 2011 05:24:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Mon, 08 Aug 2011 22:21:03 GMT) Full text and rfc822 format available.

Reply sent to Stephen Kitt <steve@sk2.org>:
You have taken responsibility. (Thu, 18 Aug 2011 14:51:08 GMT) Full text and rfc822 format available.

Notification sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Bug acknowledged by developer. (Thu, 18 Aug 2011 14:51:08 GMT) Full text and rfc822 format available.

Message #89 received at 625497-close@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: 625497-close@bugs.debian.org
Subject: Bug#625497: fixed in mingw-w64 2.0~rc1-1
Date: Thu, 18 Aug 2011 14:49:50 +0000
Source: mingw-w64
Source-Version: 2.0~rc1-1

We believe that the bug you reported is fixed in the latest version of
mingw-w64, which is due to be installed in the Debian FTP archive:

mingw-w64-dev_2.0~rc1-1_all.deb
  to main/m/mingw-w64/mingw-w64-dev_2.0~rc1-1_all.deb
mingw-w64_2.0~rc1-1.debian.tar.gz
  to main/m/mingw-w64/mingw-w64_2.0~rc1-1.debian.tar.gz
mingw-w64_2.0~rc1-1.dsc
  to main/m/mingw-w64/mingw-w64_2.0~rc1-1.dsc
mingw-w64_2.0~rc1-1_all.deb
  to main/m/mingw-w64/mingw-w64_2.0~rc1-1_all.deb
mingw-w64_2.0~rc1.orig.tar.bz2
  to main/m/mingw-w64/mingw-w64_2.0~rc1.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 625497@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Kitt <steve@sk2.org> (supplier of updated mingw-w64 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 07 Aug 2011 23:02:01 +0200
Source: mingw-w64
Binary: mingw-w64-dev mingw-w64
Architecture: source all
Version: 2.0~rc1-1
Distribution: unstable
Urgency: low
Maintainer: Stephen Kitt <steve@sk2.org>
Changed-By: Stephen Kitt <steve@sk2.org>
Description: 
 mingw-w64  - Development environment targetting 32- and 64-bit Windows
 mingw-w64-dev - Development files for MinGW-w64
Closes: 625497
Changes: 
 mingw-w64 (2.0~rc1-1) unstable; urgency=low
 .
   * New upstream release candidate.
   * mingw-w64 now provides __uuidof() where necessary. (Closes: #625497.)
   * Removed patches:
     - 01-guiddef-svn-3715.patch, originally taken from upstream;
     - 02-get_codepage.patch, fixed differently;
     - 03-gcc-4.6-float.patch, no longer relevant (mingw-w64 no longer
       ships float.h).
   * Add empty build-arch target (policy 4.9).
Checksums-Sha1: 
 45169ecaeb934cbf3e440b02558b810f87aa5fe0 1909 mingw-w64_2.0~rc1-1.dsc
 d0a6e408f71449df5ceec6015ec867214c32b516 5530531 mingw-w64_2.0~rc1.orig.tar.bz2
 8729e768ec465e244af25025b1c4a277d212373b 6812 mingw-w64_2.0~rc1-1.debian.tar.gz
 af82f4b218111e6cb0efa88371a30ac9eb5526c6 15966160 mingw-w64-dev_2.0~rc1-1_all.deb
 9ce8b72dc81bad74955b403e6100c06af63f02ad 5594 mingw-w64_2.0~rc1-1_all.deb
Checksums-Sha256: 
 497e6c2c9e0ca8a2294d26a39c26a64f1ad7aa404f365ea36344296aa58117d8 1909 mingw-w64_2.0~rc1-1.dsc
 4492a5827a4d3c1dcfa27d63269517a665352b248fb5efcfa7fd199882b4dc42 5530531 mingw-w64_2.0~rc1.orig.tar.bz2
 d6140b7015761e4418d74b3151e4696360559e6d6893ec237ad4bf494e52b780 6812 mingw-w64_2.0~rc1-1.debian.tar.gz
 2a78ddab84c5cf468924a7bf504fe8f9237c5ceaa32dd7467f31a3b0cdf86d27 15966160 mingw-w64-dev_2.0~rc1-1_all.deb
 0adfe84dde8e5b660997c6201ff42b816563aa39454efb964b506b11e6be6bb4 5594 mingw-w64_2.0~rc1-1_all.deb
Files: 
 d95004733a9fa86b78eae46973afd97e 1909 devel extra mingw-w64_2.0~rc1-1.dsc
 fe01e7d9a6ab1e80fd33c712760c7114 5530531 devel extra mingw-w64_2.0~rc1.orig.tar.bz2
 0b89ef8cb2f257fd80c394c1f70a0f81 6812 devel extra mingw-w64_2.0~rc1-1.debian.tar.gz
 3ddc185eabe0d0d0b8ca7b2c790a8dda 15966160 devel extra mingw-w64-dev_2.0~rc1-1_all.deb
 3c77d010fa33ccad33502061339597c8 5594 devel extra mingw-w64_2.0~rc1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOTSL8AAoJENkp8pkr7wozAuoP+wRSwOuzpaWXMXos7laJ57B9
h7YyRhuq3+lnU6dH36y1x4uofR1cWAioMaF4w6hXP7zv56RgxYIPZWiR2qP2DJc0
OuY2NbHzIVp6PDlEF2ZKR0RUUz0ziVP9+ZRArf0sPqbGr5YkkG2olUIuMu48wQAp
rNpyuLyrlmFQuWApIVKLUHHeGSATPAueSochPlvviLi7dncGySzyvJ5kVnAL8SSf
bhUmzu15GfXiYBh6gIk3bwLt5u2tv9CLPwUDUUkZNPA5HO3pRSkxg26x3Sl08x80
Mz5WR4UoaK9xuMCmlebofxlGUNu/l/t+17DAaCYd+yeJrSOb5Ndcy/y9iCpiSdnD
F+fPQlGjn5MIrJfjcL4HQnK5kRYjNcLyJEIwzuZ5wW5eNAxTaQOrwsI7yZO/RDN2
NuKH5vG5QR6UlvN4Agu1qKham2o1yMhJOunsPkpZTrM76TR5/zduhnUjhh54iAD4
jrV+lOfTVLXdNGyLGvV9tn04nxKem6HBUu/cO1OLj9A/EzeKJdMY/zHa+Jbe4bib
JTS946NHEme/7alYQKJPxs8hJNgTEQ2wigz0CRDTz784gQLsf9joWp70xvYejAnP
G/gckc01MYpeNlUt/1Ta6FsQkWCjTd0kNAOJJ3iF/yqhsCWECe7edyY4DRODYFo7
0ewVfaU2nh55RAdqQv68
=b5oS
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 26 Sep 2011 07:37:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:20:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.